﻿using UnityEngine;
using System.Collections;

public class CameraFollow : MonoBehaviour {

	public Transform m_target = null;
	public float m_smoothTime = 0.25f;

	private Vector3 m_currentVelocity = Vector3.zero;
	
	void FixedUpdate () {

		Vector3 target = new Vector3( m_target.position.x, 0.0f, transform.position.z );
		transform.position = Vector3.SmoothDamp( transform.position, target, ref m_currentVelocity, m_smoothTime );
	}
}
