﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class GameManager : MonoBehaviour {

	public GameObject m_player = null;
	public List<GUIText> m_endText = null;

	void Update( ) {

		if ( Input.GetKeyDown( KeyCode.R ) ) {
			Application.LoadLevel( Application.loadedLevel );
		}

		if ( Input.GetKeyDown( KeyCode.Escape ) ) {
			Application.Quit( );
		}

		if ( Vector3.Distance( m_player.transform.position, transform.position ) < 5.0f ) {

			foreach ( GUIText t in m_endText ) {
				t.enabled = true;
			}
		}
	}
}
